There is not QT option to choose from?
December 08, 2018 17:35 - Phil D
Description

Dear Audacious Developers and maintainers,

Thank you for creating this wonderful music application. | have been using this for years, but | prefer the QT version. | am currently
using Linux KDE Neon based on Ubuntu 18.04 and various Linux Mint 19.x systems also based on Ubuntu 18.04 using the webupd8

PPA, and | cannot find or get the QT version to work anymore? Can you please provide detailed instructions or explain to me how |
can get this QT version? | even tried using various console terminal commands with the --gt which they do not recognize?

Merry Christmas and Happy Holidays to all of you and yours!

Best regards,
Phil (phd21)

Side note: | created another account using the username phd21 which | prefer but | had a typo in my email address (
phd21mint@gmail.com) which prevented me from getting the activation email.

History

#1 - December 10, 2018 01:34 - John Lindgren
- Tracker changed from Bug to Support

Last | knew, the WebUpd8 builds included the Qt interface, but maybe that has changed? You should ask the WebUpd8 repository maintainer.
Unfortunately, | am not proficient in publishing Debian packages myself.

#2 - December 10, 2018 16:21 - John Lindgren

I'm closing this ticket since this tracker is the upstream project and isn't responsible for packaging issues/availability.

#3 - December 10, 2018 16:21 - John Lindgren

- Status changed from New to Rejected

#4 - December 10, 2018 21:54 - Phil D

Hi Audacious and John Lindgren,

Thank you for your replies.

Okay, | was not sure how to file a bug report with the Webupd8 PPA on launchpad. It was a little bit of a pain (PIA) to find out how to go through the
launchpad bug report system, but | finally was able to do so. | know that previously | could install Audacious and the QT worked fine just not with
version 3.10?

How can | get the QT version now? Do | have to manually compile myself?

Merry Christmas and Happy Holidays to you and yours and everyone else involved with Audacious.

Regards,
Phil (phd21)
#5 - December 12, 2018 01:38 - John Lindgren

| checked the binary from WebUpd8 and it has Qt enabled. You ought to be able to just run "audacious --gt" if that's what you have installed.
What is the output of:

audacious —--version
md5sum “which audacious’

And what happens when you run "audacious --gt" from a terminal?

#6 - December 12, 2018 01:42 - John Lindgren
P.S. | deleted two inactive accounts, phd21 and pjd21, that looked like yours.

#7 - December 12, 2018 04:45 - Phil D

Hi John,

Thank you for your replies.

| booted into Linux Mint 19 Cinnamon based on Ubuntu 18.04 and installed Audacious from the PPA and it has all the interfaces including the QT.
But, my KDE Neon does not? | purged all Audacious packages even the hidden user configuration folder, reinstalled from the PPA, and I still do not

have the QT interface?

audacious --version
Audacious 3.10 (Ubuntu package)

md5sum “which audacious’
d41232ff84954167a0866de34507f9fd /usr/bin/audacious

audacious --gt
Unknown option: --qt
Usage: audacious [OPTION] ... [FILE] ...

Thank you for trying to help me out on this...

Best regards,
Phil (phd21)
#8 - December 12, 2018 05:33 - Phil D

Hi John,

I think | just found the problem with my Audacious QT. | downloaded the webupd8 bionic deb files from the PPA and installed them from the console
terminal prompt and it worked. There appears to be a conflict with another PPA that also has Audacious but without the QT, Panda Jim
"ubuntuhandbook1/apps" and my system thinks that is a newer version?

http://ppa.launchpad.net/ubuntuhandbooki/apps/ubuntu

| installed that PPA for another application and it conflicted with my Audacious installation from webupd8. | will disable that PPA.
Thanks again for your help John.

Here are the results from the audacious deb file installation:

sudo gdebi audacious_3.10-1_webupd8_bionicO_amd64.deb

Reading package lists... Done

Building dependency tree

Reading state information... Done

Reading state information... Done

Requires the installation of the following packages: audacious audacious-plugins libaudcore5

small and fast audio player which supports lots of formats
Audacious is a fork of beep-media-player which supports Winamp skins
and many codecs.

In the default install, the following codecs are supported:
*MP3 *Ogg Vorbis / Theora * AAC and AAC+ *FLAC * ALAC * Windows Media (WMA) * WAVE

Additionally, Audacious is extendable through plugins, and contains
other useful features like LIRC support. Support for many more codecs
can also be added through plugins.

This package contains the core player and its localization.

Do you want to install the software package? [y/N]:y

Get:1 http:/ppa.launchpad.net/ubuntuhandbooki/apps/ubuntu bionic/main amd64 libaudcore5 amd64 3.10-1build1~ubuntu18.04 [127 kB]
Get:2 http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu bionic/main amdé4 audacious-plugins amdé4 3.10-1~webupd8~bionic1 [776 kB]
Get:3 http://ppa.launchpad.net/ubuntuhandbook1/apps/ubuntu bionic/main amdé4 audacious amd64 3.10-1build1~ubuntu18.04 [204 kB]
Fetched 1107 kB in 6s (155 kB/s)

(Reading database ... 778850 files and directories currently installed.)

Preparing to unpack .../libaudcore5_3.10-1build1~ubuntu18.04_amd64.deb ...

Unpacking libaudcore5:amd64 (3.10-1build1~ubuntu18.04) over (3.10-1~webupd8~bionic0) ...
Selecting previously unselected package audacious-plugins:amd64.

Preparing to unpack .../audacious-plugins_3.10-1~webupd8~bionic1_amdé4.deb ...

Unpacking audacious-plugins:amdé4 (3.10-1~webupd8~bionic1) ...

Selecting previously unselected package audacious.

Preparing to unpack .../audacious_3.10-1build1~ubuntu18.04_amdé4.deb ...

Unpacking audacious (3.10-1build1~ubuntu18.04) ...

Processing triggers for mime-support (3.60ubuntut) ...

Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.2) ...

Setting up libaudcore5:amd64 (3.10-1build1~ubuntu18.04) ...

Processing triggers for libc-bin (2.27-3ubuntul) ...

Processing triggers for man-db (2.8.3-2ubuntu0.1) ...

Setting up audacious-plugins:amdé4 (3.10-1~webupd8~bionic1) ...

Processing triggers for hicolor-icon-theme (0.17-2) ...

Setting up audacious (3.10-1build1~ubuntu18.04) ...

[ Rootkit Hunter version 1.4.6 ]

File updated: searched for 181 files, found 150

[ Rootkit Hunter version 1.4.6 ]

File updated: searched for 181 files, found 150

dpkg: warning: downgrading audacious from 3.10-1build1~ubuntu18.04 to 3.10-1~webupd8~bionicO
(Reading database ... 778998 files and directories currently installed.)

Preparing to unpack audacious_3.10-1_webupd8_bionicO_amd64.deb ...

Unpacking audacious (3.10-1~webupd8~bionic0) over (3.10-1build1~ubuntu18.04) ...

dpkg: dependency problems prevent configuration of audacious:

audacious depends on libaudcore5 (= 3.10-1~webupd8~bionic0); however:

Version of libaudcore5:amd64 on system is 3.10-1build1~ubuntu18.04.

dpkg: error processing package audacious (--install):

dependency problems - leaving unconfigured

Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.2) ...
Processing triggers for mime-support (3.60ubuntut) ...

Processing triggers for hicolor-icon-theme (0.17-2) ...

Processing triggers for man-db (2.8.3-2ubuntu0.1) ...

Errors were encountered while processing:
